<?php 

namespace WebServiceCall\Repository\DB;

class Token extends ABaseRepo {
    public function getEstabelecCredentials() {
        return $this->conn->fetchAssoc(self::GET_TOKEN_DATA);
    }
    
    private const GET_TOKEN_DATA = "
        SELECT LISTAGG(IDEMPRESACNC||'|') WITHIN GROUP (ORDER BY IDEMPRESACNC) AS TOKENEMPRESA, 
               LISTAGG(DSSENHACNC||'|')   WITHIN GROUP (ORDER BY IDEMPRESACNC) AS TOKENSENHA, 
               NRORG 
          FROM TOKENCNC 
         GROUP BY NRORG
    ";
}
